技能 API
獲取技能
獲取特定技能的詳細信息。
GET
/
api
/
v1
/
skills
/
{id}
獲取技能
curl --request GET \
--url https://api.example.com/api/v1/skills/{id}import requests
url = "https://api.example.com/api/v1/skills/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/skills/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/skills/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/skills/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/skills/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/skills/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body根據 ID 獲取某個技能的完整詳細信息,包括其清單(manifest)、安裝次數以及審核狀態。
身份驗證
需要 Bearer 令牌。請參閱 Authentication。路徑參數
string
必填
該技能的 UUID。
Request Example
curl https://www.hitheo.ai/api/v1/skills/skill_abc123 \
-H "Authorization: Bearer $THEO_API_KEY"
響應
返回完整的技能對象,包括id、name、slug、description、category、version、systemPromptExt、toolDefinitions、declaredPermissions、installCount、reviewStatus、authorUserId、readme、license、keywords、createdAt 以及 updatedAt。
Endpoint
GET /api/v1/skills/{id}
需要通過 Bearer 令牌進行身份驗證。請參閱 Authentication。這個頁面有幫助嗎?
獲取技能
curl --request GET \
--url https://api.example.com/api/v1/skills/{id}import requests
url = "https://api.example.com/api/v1/skills/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/skills/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/skills/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/skills/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/skills/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/skills/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body